net.minecraft.util

## Class FoodStats

- java.lang.Object
- - net.minecraft.util.FoodStats

-     public class FoodStats
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FoodStats()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExhaustion(float par1)`
    `void` | `addStats(int par1, float par2)`
    `void` | `func_151686_a(ItemFood p_151686_1_, ItemStack p_151686_2_)`
    `int` | `getFoodLevel()`
    `int` | `getPrevFoodLevel()`
    `float` | `getSaturationLevel()`
    `boolean` | `needFood()`
    `void` | `onUpdate(EntityPlayer par1EntityPlayer)`
    `void` | `readNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setFoodLevel(int par1)`
    `void` | `setFoodSaturationLevel(float par1)`
    `void` | `writeNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FoodStats

          public FoodStats()

  - ### Method Detail

    - #### addStats

          public void addStats(int par1,
                      float par2)

    - #### func_151686_a

          public void func_151686_a(ItemFood p_151686_1_,
                           ItemStack p_151686_2_)

    - #### onUpdate

          public void onUpdate(EntityPlayer par1EntityPlayer)

    - #### readNBT

          public void readNBT(NBTTagCompound par1NBTTagCompound)

    - #### writeNBT

          public void writeNBT(NBTTagCompound par1NBTTagCompound)

    - #### getFoodLevel

          public int getFoodLevel()

    - #### getPrevFoodLevel

          public int getPrevFoodLevel()

    - #### needFood

          public boolean needFood()

    - #### addExhaustion

          public void addExhaustion(float par1)

    - #### getSaturationLevel

          public float getSaturationLevel()

    - #### setFoodLevel

          public void setFoodLevel(int par1)

    - #### setFoodSaturationLevel

          public void setFoodSaturationLevel(float par1)